//
//  AudioUtility.h
//  iDIA
//
//  Created by Stanford Harmonics on 3/1/10.
//  Copyright 2010 Stanford University. All rights reserved.
//

#import <Foundation/Foundation.h>

#define SAMPLE float

@interface AudioUtility : NSObject {
}

+ (float) averageOfBuffer:(SAMPLE*)buffer of:(int)buffer_size;
+ (float) PI;
+ (float) mtof:(int)mid;
+ (float) ftom:(float)freq;
+ (float) ftoy:(float)freq;
+ (float) ftoy:(float)freq fromMinMIDI:(float)minMIDI toMaxMIDI:(float)maxMIDI;

+ (float)randfBetween:(float)a andUpper:(float)b;
+ (int)randBetween:(int)a andUpper:(int)b;

@end
