//
// File:		AppDelegate.h
//
// Abstract:	Tells the application to quit once the main window closes
//
// Copyright ( C ) 2003-2007 Apple Inc. All Rights Reserved.
//

#import <Cocoa/Cocoa.h>

@interface AppDelegate : NSObject
{
    NSWindow *window;
}

@property (nonatomic, retain) IBOutlet NSWindow *window;

- (BOOL)applicationShouldTerminateAfterLastWindowClosed:(NSApplication *)theApplication;

@end
