//
//  Click.h
//  iDIA
//
//  Created by Charlie Forkish on 3/18/10.
//  Copyright 2010 Stanford University. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Click : NSObject {
	BOOL isOn;
	long double lastClick;
	float timePerClick;

}

@property(nonatomic, readonly) BOOL isOn;
@property(nonatomic, readonly) long double lastClick;
@property(nonatomic, readonly) float timePerClick;

- (void) start;
- (void) click;
- (void) setTimePerClick:(float)newTimePerClick;
- (BOOL) isReadyToClick:(long double)t;
- (BOOL) isMeasure:(long double)t;

@end
