/*
 * Original Windows comment:
 * "This code was created by Jeff Molofee 2000
 * A HUGE thanks to Fredric Echols for cleaning up
 * and optimizing the base code, making it more flexible!
 * If you've found this code useful, please let me know.
 * Visit my site at nehe.gamedev.net"
 * 
 * Cocoa port by Bryan Blackburn 2002; www.withay.com
 */

/* OpenGLViewController */

#import <Cocoa/Cocoa.h>
#import "OpenGLView.h"

@interface OpenGLViewController : NSResponder
{
	NSWindow *fullScreenWindow;
	OpenGLView *fullScreenView;
	
  //IBOutlet NSWindow *glWindow;

   NSTimer *renderTimer;
  // OpenGLView * glView;
}

- (void) awakeFromNib;
- (void) keyDown:(NSEvent *)theEvent;
- (IBAction) setFullScreen:(id)sender;
- (void) dealloc;

@end
